<?php
	/*
	* 2018 - VEGA Informatique
	*
	* NOTICE OF LICENSE
	*
	* This source file is subject to the Open Software License (OSL 3.0)
	* that is bundled with this package in the file LICENSE.txt.
	* It is also available through the world-wide-web at this URL:
	* http://opensource.org/licenses/osl-3.0.php
	*
	* DISCLAIMER
	*
	* Do not edit or add to this file if you wish to upgrade PolarisLink to newer
	* versions in the future. 
	*
	*  @author VEGA Informatique <contact@vega-info.fr>
	*  @copyright  2018 VEGA Informatique
	*  @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
	*/

if (!defined('_PS_VERSION_'))
  exit;

require_once( _PS_ROOT_DIR_ . "/modules/polarislink/classes/PolarisLinkImport_product.php");

class AdminPolarisLinkUtilsController extends ModuleAdminController
{	
	public function __construct()
	{
		$this->context = Context::getContext();			
		$this->bootstrap = true;
					
		parent::__construct();		
	}	
	
	/* On procède à l'affichage */
	public function renderList()
	{	
		$output = "";
		
		$linkCfg = null;
		if (isset($_REQUEST["id_link"]))
		{
			foreach ($this->module->Config as $link)
			{
				if ($link->LinkID == $_REQUEST["id_link"])
				{
					$linkCfg = $link;
					break;
				}
			}
		}
		
		if (isset($_REQUEST["tool"]))
		{
			switch ($_REQUEST["tool"])
			{
				case "sort-sizes":
					if (empty($linkCfg))
						return '<div class="alert alert-danger">'.Tools::displayError("impossible de trouver le site concerné !").'</div>';					
			
					Logger::addLog("Demande de tri automatisé des tailles", 1, 1, $this->module->displayName, 1, true);
					PolarisLinkImport_product::sortAttributesNatural($linkCfg->LangID, $linkCfg->AttrGroupForAttr0);
			
					$output .= '<div class="alert alert-info">'."Vos tailles ont bien été triées !".'</div>';
					break;
				case "resync";
					$linkCfg->Resync = 1;
					$linkCfg->save();
					Logger::addLog("Demande de resynchronisation totale", 1, 1, $this->module->displayName, 1, true);
					$output .= '<div class="alert alert-info">'."La resynchronisation a bien été demandée. Si votre Polaris prend la commande en charge, la prochaine synchronisation sera complète !".'</div>';
					break;
			}
		}		
		
		return $output;
	}
}